Issue 112084 - All charts in a Calc document are loaded when saving the document
Summary: All charts in a Calc document are loaded when saving the document
Status: CLOSED FIXED
Alias: None
Product: Calc
Classification: Application
Component: save-export (show other issues)
Version: DEV300m80
Hardware: All All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: kla
QA Contact: issues@sc
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-03 15:36 UTC by niklas.nebel
Modified: 2013-08-07 15:14 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description niklas.nebel 2010-06-03 15:36:24 UTC
If a Calc document with charts is loaded, the charts should be loaded only when
they are updated or edited. Until then, the stored image is shown.

But when the Calc file is saved, currently all charts are loaded to determine
the source ranges for the draw:notify-on-update-of-ranges attribute. This costs
performance and is unnecessary.
Comment 1 thomas.benisch 2010-06-07 10:42:29 UTC
set target OOo 3.3
Comment 2 thomas.benisch 2010-06-07 10:43:29 UTC
fixed in CWS calc55
Comment 3 thomas.benisch 2010-06-08 15:57:21 UTC
TBE->KLA: Please verify in CWS calc55.
Comment 4 kla 2010-06-14 16:25:36 UTC
Seen ok in cws cakc55 -> verified
Comment 5 kla 2011-01-03 12:37:46 UTC
Seen ok in master -> closed
Comment 6 Ariel Constenla-Haile 2013-03-02 12:01:34 UTC
Reopening

The bug should be fixed without adding a new interface extending an already existing one, see bug 121841 

Use a property instead of a new interface.
Comment 7 Ariel Constenla-Haile 2013-03-02 12:02:12 UTC
Ups. Wrong issue.